hba_file = '9.4/data/conf.d/pg_hba.conf'	
listen_addresses = '*'			
max_connections = 1024			
shared_buffers = 100GB			
work_mem = 16MB				
maintenance_work_mem = 2GB		
dynamic_shared_memory_type = posix	
bgwriter_delay = 10ms			
bgwriter_lru_maxpages = 500		
bgwriter_lru_multiplier = 10.0		
wal_level = hot_standby			
wal_buffers = 64MB			
checkpoint_segments = 2048		
checkpoint_timeout = 1h			
checkpoint_completion_target = 0.9	
checkpoint_warning = 5min		
archive_mode = on		
archive_command = '/var/lib/pgsql/9.4/data/conf.d/xlog_pack.sh %p %f'		
max_wal_senders = 10		
wal_sender_timeout = 3s	    
synchronous_standby_names = ''	
vacuum_defer_cleanup_age = 200000	
hot_standby = on			
wal_receiver_status_interval = 1s	
hot_standby_feedback = on		
effective_cache_size = 64GB
log_destination = 'stderr'		
logging_collector = on			
log_directory = 'pg_log'		
log_filename = 'postgresql-%Y-%m-%d_%H%M%S.log'	
log_truncate_on_rotation = on		
log_rotation_age = 1d			
log_rotation_size = 0			
log_checkpoints = on
log_hostname = on
log_line_prefix = '< %m >'			
log_lock_waits = on			
log_timezone = 'Europe/Moscow'
track_io_timing = on
track_functions = all			
update_process_title = off
autovacuum = on				
log_autovacuum_min_duration = 0	
autovacuum_max_workers = 10		
autovacuum_naptime = 60s		
autovacuum_vacuum_threshold = 20	
autovacuum_analyze_threshold = 5	
autovacuum_vacuum_scale_factor = 0.001	
autovacuum_analyze_scale_factor = 0.01	
autovacuum_vacuum_cost_delay = 5ms	
autovacuum_vacuum_cost_limit = -1	
datestyle = 'iso, dmy'
timezone = 'Europe/Moscow'
lc_messages = 'en_US.UTF-8'			
lc_monetary = 'en_US.UTF-8'			
lc_numeric = 'en_US.UTF-8'			
lc_time = 'en_US.UTF-8'				
default_text_search_config = 'pg_catalog.english'
